it-swarm.com.de

Nvidia 304.132-Treiber-Update startet nicht

Mein System hat den Treiber von 304.131 auf 304.132 aktualisiert. Wie stelle ich den 131-Treiber wieder her? Das System bootet nicht unter 304 und ich musste nvidia bereinigen und Nouveau verwenden.

Nvidia-Treiber ist eine GeForce9400m. 2009 Macbook 5,2.

Danke im Voraus.

1
mjay

Gemeldet/bestätigt als Bug # 1639180. Ich hatte das gleiche Problem und installierte Nvidia-304.131 manuell (Sie müssen zuerst den MTRR-Patch in der Nvidia-Ausführungsdatei installieren).

1
Ubuntu-User

Ich hatte ein ähnliches Problem. Ich habe herausgefunden, dass eine neuere Version der nvidia-Treiber für mich funktioniert, anscheinend wird auch Ihre Grafikkarte unterstützt! Prüfen Sie einfach auf der entsprechenden NVIDIA-Website, welche Treiberversion für Sie geeignet ist: http://www.nvidia.com/Download/index.aspx?lang=en-us

Führen Sie die folgenden Befehle aus:

  • Sudo apt-get remove nvidia*
  • Sudo apt-get autoremove
  • Sudo apt-get install nvidia-**driver version**
0
Stefan

Dies kann hilfreich sein, wenn Sie es nicht manuell installieren, bis nvidia dies behebt

Herabstufung von 304.132 auf 304.131:

Ctrl++Alt+1 Zur Konsole wechseln

  • anmeldung
  • Sudo apt-get autoremove nvidia*
  • Sudo apt-get install nvidia-304=304.131-0ubuntu3

Um zu verhindern, dass der fehlerhafte Treiber beim nächsten Update erneut installiert wird, aber immer noch neuere Updates erhält, können Sie ihn speziell blockieren.

Erstellen Sie eine Datei mit dem Namen /etc/apt/preferences.d/nvidia-bug Mit folgendem Inhalt:

Explanation: block this specifique update because of OpenGL problem with 304.132
Package: nvidia-304
Pin: version 304.132-0ubuntu0.16.04.2
Pin-Priority: -10

Explanation: block this specifique update because of OpenGL problem with 304.132
Package: nvidia-opencl-icd-304
Pin: version 304.132-0ubuntu0.16.04.2
Pin-Priority: -10

Die zu blockierende Version hängt von Ihrer Ubuntu-Version ab. Dies ist für den 16.04. Überprüfen Sie, welche Version blockiert werden soll, indem Sie apt-cache policy nvidia-304 Ausführen.

0
Benny H.